// https://v3.nuxtjs.org/api/configuration/nuxt.config
export default defineNuxtConfig({
    ssr: false,
    modules: [
        '@nuxtjs/tailwindcss',
        'nuxt-icon',
        '@vueuse/nuxt',
        '@nuxtjs/robots'
    ],
    build: {
        transpile: ['vue-toastification'],
    },
    app: {
      head: {
        title: 'WRB App',
        charset: 'utf-8',
        viewport: 'width=device-width initial-scale=1 viewport-fit=cover',
        meta: [
          { name: 'theme-color', content: '#eb6330' },
          {  name: 'description', content: 'De officiele app voor de Waddinxveense Reddingsbrigade'}
        ],
        link: [
          { rel: 'manifest', href: '/manifest.json' },
          { rel: 'icon', href: '/favicon.ico', type: 'image/x-icon' }
        ]
      }
  },
  runtimeConfig: {
    privateKeyId: '',
    privateKey: '',
    clientId: ''
  }
})
